# The MEME Suite

## Motif-based sequence analysis tools

## getsize

### Usage:

`getsize <sequences> [options]`

### Description

The program getsize prints statistics about sequences read from a FASTA file.

### Input

#### Sequences

A file in FASTA format. If the filename is given as "-", then the program reads from standard input.

### Output

Writes statistics about the sequences to standard output.

### Options

Option | Parameter | Description | Default Behaviour
--- | --- | --- | ---
General Options
-dna |  | Print DNA frequencies in background file format. |
-prot |  | Print protein frequencies in background file format. |
-rna |  | Print RNA frequencies in background file format. |
-alph | file | Use the alphabet defintion in the specified file and print frequencies in background file format. |
-f |  | Print letter frequences. |
-ft |  | Print letter frequences in a LaTex table. |
-l |  | Just print the length of each sequence. |
-nd |  | Do not print warnings about duplicate sequences. |
-x |  | Translate DNA in 6 frames. |
-codons |  | Print frame 0 codon usage. |